package com.yidianling.im.session.extension;

import com.alibaba.fastjson.JSONObject;

/**
 * @author huozhiliang
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2021/1/26
 */
public class CustomAttachmentSwitchKeFuTips extends CustomAttachment{
    private static final String HIDDEN_APP = "hidden_app";
    private static final String TO_CONTENT = "to_content";


    public String hidden_app;
    public String to_content;

    public CustomAttachmentSwitchKeFuTips() {
        super(CustomAttachmentType.TYPE_SWITCH_KEFU_TIPS);
    }

    @Override
    protected void parseData(JSONObject data) {
        hidden_app = data.getString(HIDDEN_APP);
        to_content = data.getString(TO_CONTENT);
    }

    @Override
    protected JSONObject packData() {
        JSONObject data = new JSONObject();
        data.put(HIDDEN_APP, hidden_app);
        data.put(TO_CONTENT, to_content);
        return data;
    }
}
